/* Rectangle en 2D                              */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#ifndef ____RECTANGLE2D____
#define ____RECTANGLE2D____

class Position2D;

class Rectangle2D {

  public :
    Position2D *ig;
    Position2D *sd;

  public :

    /* Constructeurs                            */
    Rectangle2D(void);
    Rectangle2D(Position2D *p1,Position2D *p2);
    Rectangle2D(Rectangle2D *r);

    /* Destructeur                              */
    ~Rectangle2D(void);

    /* Dessin OpenGL                            */
    void draw(void);

    /* Code de Cohen-Sutherland                 */
    /* d'une Position2D                         */
    int code(Position2D *p);
};

#endif
